// pages/mine/standing/index.js
import {
    updateUserInfo
} from '../../../utils/api/api'
Page({

    /**
     * 页面的初始数据
     */
    data: {
        userInfo: wx.getStorageSync('userInfo')
    },
    getValue(e) {
        let type = e.currentTarget.dataset.type
        this.setData({
            [`userInfo.${type}`]: e.detail
        });
    },
    clearImg(e) {
        let type = e.currentTarget.dataset.type
        this.setData({
            [`userInfo.${type}`]: ''
        });
    },
    updateUserInfo() {
        updateUserInfo(this.data.userInfo).then(res => {
            wx.showToast({
                title: '修改成功',
                icon: 'none',
                duration: 800,
                mask: true,
                success: function () {
                    setTimeout(function () {
                        wx.switchTab({
                            url: '/pages/mine/index/index',
                        })
                    }, 800)
                }
            })
        })
    },
    /**
     * 生命周期函数--监听页面加载
     */
    onLoad(options) {
        this.setData({
            userInfo: wx.getStorageSync('userInfo')
        })
    },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady() {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow() {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide() {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload() {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh() {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom() {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage() {

    }
})